Subject: bug#40445: closed (Re: [bug#40445] gnu: gsm: Update to 1.0.19.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Apr 2020 18:22:02 +0000

Your bug report

#40445: gnu: gsm: Update to 1.0.19.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40445: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40445
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40445] gnu: gsm: Update to 1.0.19.
From: [email-masked]
To: [email-masked]
Cc: Raghav Gururajan <[email-masked]>, Mathieu Othacehe <[email-masked]>, [email-masked]
Date: Sun, 05 Apr 2020 14:20:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

[email-masked] writes:

> Hello,
>
> "Raghav Gururajan" <[email-masked]> writes:
>
>> Hi Mathieu!
>>
>>>> + #:make-flags
>>>> + (list
>>>> + ;; Added -fPIC with other default options.
>>>> + "CCFLAGS=-fPIC -c -O2 -DNeedFunctionPrototypes=1 -Wall -Wno-comment")
>>> 
>>> I wonder if we need all those options, the package seems to build fine
>>> without them. Could you have a look?
>>
>> Yes, Maxim and I, updated these options, to use libgsm in mediastreamer, as a part of linphone packaging. :-)
>>
>> Btw, currently the gsm package is in unusable state, after the commit "74c7f367daa554cedeb5f02a00d1cd02acf1584b".
>>
>> Regards,
>> RG.
>
> Ooops.  Sorry about that.  I meant:
>
> -       #:make-flags '("INSTALL_ROOT=%output"
> -                      "CCFLAGS=-fPIC \
> +       #:make-flags (list (string-append "INSTALL_ROOT=" %output)
> +                          "CCFLAGS=-fPIC \
>
> But I'll take into accounts comments from Mathieu, which make sense.
>
> Maxim

I've fixed the breakage I caused with commit
5b05f8e9654ea722270c45c0fd0eead369bc0daf, and committed the update to
gsm 1.0.19 from Raghav on top as
5e16e4401f854d39f5fbebaf247750e554bd4a09.

Closing.

Thanks for the ideas!

Maxim

Subject: gnu: gsm: Update to 1.0.19.
From: "Raghav Gururajan" <[email-masked]>
To: [email-masked]
Date: Sun, 05 Apr 2020 07:07:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>